Name:           elmer-welcome
Version:        1.0.3
Release:        4
Summary:        Welcome screen for Fuduntu

Group:          Fuduntu
License:        GPLv2+
URL:            http://www.fuduntu.org
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch

Requires:       python
Requires:	pygtk2
Requires:	pygtk2-libglade
Requires:	libglade2
Requires:	pywebkitgtk
Requires:	python-configobj

%description
Fuduntu Welcome screen. Adapted from Mint's welcome screen

%prep
%setup -q


%install
mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/lib/elmer-welcome/templates
mkdir -p $RPM_BUILD_ROOT/etc/xdg/autostart
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/

install -m 0775 elmer-welcome.py  $RPM_BUILD_ROOT/usr/lib/elmer-welcome
install -m 0755 elmer-welcome.glade  $RPM_BUILD_ROOT/usr/lib/elmer-welcome
install -m 0644 elmer-welcome.desktop $RPM_BUILD_ROOT/etc/xdg/autostart
install -m 0644 welcome.html $RPM_BUILD_ROOT/usr/lib/elmer-welcome/templates
install -m 0644 background.jpg $RPM_BUILD_ROOT/usr/lib/elmer-welcome/templates
install -m 0644 elmer.conf $RPM_BUILD_ROOT/etc/sysconfig
install -m 0755 elmer $RPM_BUILD_ROOT/usr/bin
install -m 0755 elmer-launcher $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

/usr/bin/elme*
/usr/lib/elmer-welcome/*
/etc/xdg/autostart/elmer-welcome.desktop
/etc/sysconfig/elmer.conf

%doc



%changelog
* Sun Mar 10 2013 Andrew Wyatt <andrew@fuduntu.org> - 1.0.3-4
- Update for 2013.2

* Sun Dec 23 2012 Andrew Wyatt <andrew@fuduntu.org> - 1.0.3-3
- Update wording, tweak welcome panel.

* Sat Dec 01 2012 Andrew Wyatt <andrew@fuduntu.org> - 1.0.2-1
- Update Elmer for 2013.1 release
- Move conf to /etc/sysconfig

* Fri Sep 14 2012 Andrew Wyatt <andrew@fuduntu.org> - 1.0.1-4
- Getting Started guide should be labeled Getting Started.

* Wed Sep 12 2012 Andrew Wyatt <andrew@fuduntu.org> - 1.0.1-3
- IRC should use web link not local xchat

* Tue Sep 11 2012 Andrew Wyatt <andrew@fuduntu.org> - 1.0.1-2
- Update links

* Mon Sep 10 2012 Noah Hall <noah.hall@fuduntu.org> - 1.0.0-1
- Ported from MintWelcome
